<?php
/**
 * Header Options settings
 */

$wp_customize->add_section(
	'news_articles_header_options_section',
	array(
		'title' => esc_html__( 'Header Options', 'news-articles' ),
		'panel' => 'news_articles_theme_options_panel',
	)
);

// Enable topbar Options.
$wp_customize->add_setting(
	'news_articles_enable_topbar',
	array(
		'default'           => true,
		'sanitize_callback' => 'news_articles_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new News_Articles_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'news_articles_enable_topbar',
		array(
			'label'    => esc_html__( 'Enable Topbar.', 'news-articles' ),
			'section'  => 'news_articles_header_options_section',
			'settings' => 'news_articles_enable_topbar',
			'type'     => 'checkbox',
		)
	)
);
